<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta neme="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie-edge">
        <!-- Latest compiled and minified CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">

        <!-- Optional theme -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap-theme.min.css" integrity="sha384-6pzBo3FDv/PJ8r2KRkGHifhEocL+1X2rVCTTkUfGk7/0pbek5mMa1upzvWbrUbOZ" crossorigin="anonymous">

        <!-- Latest compiled and minified JavaScript -->
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd" crossorigin="anonymous"></script>

        <title> Informacion de contacto </title>
    </head>
    <body>
        <form>
            <p>
              <fieldset>
                <legend>¿Tienes carné de conducir?<abbr title="Este campo es obligatorio" aria-label="required">*</abbr></legend>
                <!-- Solo se puede seleccionar un botón de opción en un grupo con el mismo nombre,
                     y, por lo tanto, solo un botón de opción en un grupo con el mismo nombre que tiene marcado el atributo «requerido»
                     basta para hacer de una selección un requisito -->
                <input type="radio" required name="driver" id="r1" value="yes"><label for="r1">Sí</label>
                <input type="radio" required name="driver" id="r2" value="no"><label for="r2">No</label>
              </fieldset>
            </p>
            <p>
              <label for="n1">¿Qué edad tienes?</label>
              <!-- El atributo pattern puede actuar como una alternativa para los navegadores que
                   no implementan el tipo de entrada de número, pero admiten el atributo pattern.
                   Ten en cuenta que los navegadores que admiten el atributo pattern lo harán
                   fallar silenciosamente cuando se use con un campo numérico.
                   Su uso aquí solo actúa como una alternativa -->
               <input type="number" min="12" max="120" step="1" id="n1" name="age"
                     pattern="\d+">
            </p>
            <p>
              <label for="t1">¿Cuál es tu fruta favorita?<abbr title="Este campo es obligatorio" aria-label="required">*</abbr></label>
              <input type="text" id="t1" name="fruit" list="l1" required
                     pattern="[Bb]anana|[Cc]herry|[Aa]pple|[Ss]trawberry|[Ll]emon|[Oo]range ">
              <datalist id="l1">
                <option>Plátano</option>
                <option>Cereza</option>
                <option>Manzana</option>
                <option>Fresa</option>
                <option>Limón</option>
                <option>Naranja</option>
               </datalist>
            </p>
            <p>
              <label for="t2">¿Cuál es tu dirección de correo electrónico? </label>
              <input type="email" id="t2" name="email">
            </p>
            <p>
              <label for="t3">Deja un mensaje</label>
              <textarea id="t3" name="msg" maxlength="140" rows="5"></textarea>
            </p>
            <p>
              <button>Enviar</button>
            </p>
          </form>
    </body>
</html>